#include <iostream>

using namespace std;

int main()
{
    int n,br=0;
    cin>>n;
    int n1[n];
    for(int i=0;i<n;i++){
        cin>>n1[i];
    }
    bool t=true;
    int g=0;
    int ni[20000];
    for(int i=0;i<n;i++){
        if(n1[i]>=1 && t==true){
            ni[g]=1;
            g++;
            br++;
            t=false;
        }else if(n1[i]<=-1 && t==false){
            ni[g]=2;
            g++;
            br++;
            t=true;
        }else{
            ni[g]=3;
            g++;
            n++;
        }
        for(int j=0;j<n;j++){
            if(n1[j]<=-1){
                n1[j]+=1;
            }else{
                n1[j]-=1;
            }
        }

    }
    
    cout<<br<<endl;
    for(int i=0;i<g;i++){
        cout<<ni[i];
    }


    return 0;
}